<?php
session_start();
require_once ("../conexion.php");
require_once('../include/sesiones.php');

$pro_tipo_doc=ucfirst(limpiar($_POST['pro_tipo_doc']));
$pro_nit=ucfirst(limpiar($_POST['pro_nit']));
$pro_dv=ucfirst(limpiar($_POST['pro_dv']));
$pro_nombre=mb_strtoupper(limpiar($_POST['pro_nombre']));
$pro_nombre_repre=mb_strtoupper(limpiar($_POST['pro_nombre_repre']));
$pro_telefono=ucfirst(limpiar($_POST['pro_telefono']));
$pro_correo=mb_strtoupper(limpiar($_POST['pro_correo']));
$pro_direccion=mb_strtoupper(limpiar($_POST['pro_direccion']));
$pro_direccion2=mb_strtoupper(limpiar($_POST['pro_direccion2']));
$pro_departamento=ucfirst(limpiar($_POST['pro_departamento']));
$pro_ciudad=mb_strtoupper(limpiar($_POST['pro_ciudad']));
$pro_codigo_postal=ucfirst(limpiar($_POST['pro_codigo_postal']));;

$can=mysqli_query($con,"SELECT MAX(pro_id)as pro_id FROM proveedor ") or die(mysqli_error($con)); 
$dato=mysqli_fetch_array($can);
$pro_id=$dato['pro_id']+1;

$sqll=mysqli_query($con,"SELECT pro_nit FROM proveedor WHERE pro_nit='$pro_nit' and empresa='$empresa'");     
if($roww=mysqli_fetch_array($sqll))
{
    echo'<div class="alert alert-danger alert-dismissable">
    <button type="button" class="close" data-dismiss="alert">×</button>
    <strong>El documento del Proveedor ya se encuentra registrado en la base de datos</strong>  
    </div>';  
} 
else 
{
    $sql="INSERT into proveedor(pro_tipo_doc,pro_nit,pro_dv,pro_nombre,pro_nombre_repre,pro_telefono,pro_correo,pro_direccion,pro_direccion2,pro_departamento,pro_ciudad,pro_codigo_postal,empresa) 
    VALUES ('$pro_tipo_doc','$pro_nit','$pro_dv','$pro_nombre','$pro_nombre_repre','$pro_telefono','$pro_correo','$pro_direccion','$pro_direccion2','$pro_departamento','$pro_ciudad','$pro_codigo_postal','$empresa')";

    $regis=mysqli_query($con,"DELETE from proveedor_compra_temp where empresa='$empresa'") or die(mysqli_error($con));
    $regis=mysqli_query($con,"INSERT into proveedor_compra_temp (pct_pro_id,usuario,empresa)
          VALUES  ('$pro_id','$usu_id','$empresa')") or  die(mysqli_error($con));

    $query_new_insert = mysqli_query($con,$sql);
    if ($query_new_insert)
    {
        $messages[] = "Proveedor ha sido ingresado satisfactoriamente.";
    } 
    else
    {
        $errors []= "Lo siento algo ha salido mal intenta nuevamente.".mysqli_error($con);
    }
}  
if (isset($errors))
{
?>
    <div class="alert alert-danger" role="alert">
        <button type="button" class="close" data-dismiss="alert">&times;</button>
        <strong>Error!</strong> 
        <?php
            foreach ($errors as $error) 
            {
                echo $error;
            }
        ?>
    </div>
<?php
}
if (isset($messages))
{   ?>
    <div class="alert alert-success" role="alert">
        <button type="button" class="close" data-dismiss="alert">&times;</button>
        <strong>¡Bien hecho!</strong>
        <?php
            foreach ($messages as $message) 
            {
                echo $message;
            }
        ?>
    </div>
<?php } ?>